Page MenuHomePhabricator

Investigation: Gamepedia's cross-wiki watchlist code
Closed, ResolvedPublic

Description

As an investigation for cross-wiki watchlists --

Gamepedia has a GlobalWatchlist listed here: http://help.gamepedia.com/Special:Version

The extension was written by Alexia E. Smith: https://github.com/Alexia

The GlobalWatchlist code is now public: https://github.com/HydraWiki/GlobalWatchlist. See if you can get it up and running locally and see how well it works. This will require a multi-wiki set-up (See Wikidata role in mediawiki-vagrant for an example).

Event Timeline

DannyH created this task.Feb 11 2016, 7:07 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH added a project: Community-Tech.
DannyH moved this task to To be estimated/discussed on the Community-Tech board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2016, 7:07 PM

CC @Alexia. Could you tell us if there are plans to open source the extension code?

Alexia added a comment.EditedFeb 11 2016, 9:59 PM

Yes, it is on my list to make open source. I am not entirely sure it will be usable in its current state due it being a memory hog. My 20% time is on Fridays so I will look at this tomorrow and sanitize any strings that might be considered proprietary before pushing it up to GitHub.

Yes, it is on my list to make open source. I am not entirely sure it will be usable in its current state due it being a memory hog. My 20% time is on Fridays so I will look at this tomorrow and sanitize any strings that might be considered proprietary before pushing it up to GitHub.

Thanks! :)

Now open sourced:
https://github.com/HydraWiki/GlobalWatchlist

Along with its requirements:
https://github.com/HydraWiki/RedisCache
https://github.com/HydraWiki/SyncService

As if there is no way to drop it into a standard farm setup and make it work without at least a few code changes. I have noted these in the README.md file. It is a three day holiday weekend here so I plan to take some time to improve the public documentation.

kaldari updated the task description. (Show Details)Feb 16 2016, 6:16 PM
kaldari set Security to None.

The develop branch contains several untested fixes that should make it easier to run it outside the Hydra Wiki Platform.

  • Switched to CentralIdLookup factory.
  • Renamed $dsSiteKey to $wgSiteKey - This will have to be defined per site configuration.
  • Database schema updates will run if the site being updated has $wgSiteKey set to 'master'.

https://github.com/HydraWiki/GlobalWatchlist/tree/develop

DannyH closed this task as Resolved.Aug 15 2016, 10:42 PM
DannyH claimed this task.
DannyH moved this task from To be estimated/discussed to Archive on the Community-Tech board.